$(function () {
    $('input.checkTimeSchedule').bind('change', checkPair);
    $('input.checkTimeSchedule').bind('result', checkPair);
});

function afterSave() {
    opener.reloadSchedule();
}
function workingtimeshow() {
    $('#workingtime').show();
    $('input.checkTimeSchedule').timeSelect();
}

function checkPair() {
    if ($('#timestart').val() ^ $('#timeend').val()) {
        $('#timestart').addClass('required');
        $('#timeend').addClass('required');
    }
    else {
        $('#timestart').removeClass('required');
        $('#timeend').removeClass('required');
    }

    if ($('#breakstart').val() ^ $('#breakend').val()) {
        $('#breakstart').addClass('required');
        $('#breakend').addClass('required');
    }
    else {
        $('#breakstart').removeClass('required');
        $('#breakend').removeClass('required');
    }
}